/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Calculos_automaticos;

import java.awt.Toolkit;
import java.awt.datatransfer.Clipboard;
import java.awt.datatransfer.StringSelection;
import javax.swing.JOptionPane;
import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;

import java.text.DateFormat;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;


/**
 *
 * @author chuen
 */
public class Copiartabla  {
    
    public void copiartabla(JTable tbl, String etiqueta_muestra, String where, String analisis, String textoextra){

        try {
            
        
        
        String timeStamp = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss").format(Calendar.getInstance().getTime());        
    
DefaultTableModel dtm = (DefaultTableModel) tbl.getModel();
//prepara tabla motivos
StringSelection stsel;
StringSelection stringparacopyboard;
Clipboard system;
StringBuffer sbf=new StringBuffer();
int numcols=dtm.getColumnCount();
int numrows=dtm.getRowCount();


for (int j=0;j<numcols;j++){
    
    sbf.append(dtm.getColumnName(j));
    sbf.append("\t");
}
 sbf.append("\n");
 
 for (int i=0;i<numrows;i++)
            {
               for (int j=0;j<numcols;j++)
               {
sbf.append(dtm.getValueAt(i,j));
                  if (j<numcols-1) sbf.append("\t");
               }
               sbf.append("\n");
            }
 stsel  = new StringSelection(sbf.toString());


    
String myString = "\nARQ:L v2.0"
                     +"\n"
                     +"\nFECHA:"+timeStamp
                     +"\nANALISIS: " + analisis
                     +"\nMUESTRA: "+ etiqueta_muestra
                    +"\nPROCEDENCIA: " +where

                    +"\n"
                    +"\n"+sbf.toString()
                    +"\n"
                    +"\n"+textoextra;
                  


 stringparacopyboard  = new StringSelection(myString);


system = Toolkit.getDefaultToolkit().getSystemClipboard();
system.setContents(stringparacopyboard, stringparacopyboard);
JOptionPane.showMessageDialog(null, "Se ha copiado la información a su portapapeles. \nPuede pegar los datos en otro documento pulsando CTRL+V");
   } catch (Exception e) {
        JOptionPane.showMessageDialog(null, "No se pudo copiar la tabla");
   } 
}
    public void copiarsolotexto(String etiqueta_muestra, String where, String analisis, String textoextra){

        try {
            
        
String timeStamp = new SimpleDateFormat("dd/MM/yyyy HH:mm:ss").format(Calendar.getInstance().getTime());        
StringSelection stsel;
StringSelection stringparacopyboard;
Clipboard system;



String myString = "\nARQ:L v2.0"
                     +"\n"
                     +"\nFECHA:"+timeStamp        
                     +"\nANALISIS: " + analisis
                     +"\nMUESTRA: "+ etiqueta_muestra
                    +"\nPROCEDENCIA: " +where

                    +"\n"
                    +"\n"+textoextra;
                  

    


 stringparacopyboard  = new StringSelection(myString);


system = Toolkit.getDefaultToolkit().getSystemClipboard();
system.setContents(stringparacopyboard, stringparacopyboard);
JOptionPane.showMessageDialog(null, "Se ha copiado la información a su portapapeles. \nPuede pegarla en otro documento pulsando CTRL+V");
       } catch (Exception e) {
        JOptionPane.showMessageDialog(null, "No se pudo copiar los datos");
   } 
    }
}
